Name:               girara
Version:            0.4.1
Release:    1%{?dist}
Summary:            Simple user interface library
License:            Zlib
URL:                https://pwmt.org/projects/%{name}/
Source0:            https://pwmt.org/projects/%{name}/download/%{name}-%{version}.tar.xz

BuildRequires:      gcc
BuildRequires:      gettext
BuildRequires:      glib2-devel >= 2.50
BuildRequires:      gtk3-devel >= 3.20
BuildRequires:      intltool
BuildRequires:      meson >= 0.56
BuildRequires:      pango-devel >= 1.14
BuildRequires:      pkgconfig(json-glib-1.0)
BuildRequires:      pkgconfig(check) >= 0.11
Buildrequires:      xorg-x11-server-Xvfb



%global girara_locales  lib%{name}-gtk3-3

%description
Girara is a library that implements a user interface that focuses on simplicity
and minimalism.

%package      devel
Summary:            Development files for %{name}
Requires:           %{name} = %{version}-%{release}

%description  devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%meson -Ddocs=disabled -Dtests=enabled
%meson_build

%install
%meson_install
%find_lang %{girara_locales}

%check
%meson_test


%files -f %{girara_locales}.lang
%license LICENSE
%doc AUTHORS README.md
%{_libdir}/libgirara-gtk3.so.*

%files devel
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/girara-gtk3.pc
%{_libdir}/libgirara-gtk3.so


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.1-1
- initial build
